Template Numerical Library: TNL::Functions::experimental::MeshFunctionView< Mesh, MeshEntityDimension, Real > Class Template Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Functions::experimental::MeshFunctionView< Mesh, MeshEntityDimension, Real > Class Template Reference
Inheritance diagram for TNL::Functions::experimental::MeshFunctionView< Mesh, MeshEntityDimension, Real >:
[legend]
Collaboration diagram for TNL::Functions::experimental::MeshFunctionView< Mesh, MeshEntityDimension, Real >:
[legend]

## Public Types
using | DeviceType = typename MeshType::DeviceType
using | IndexType = typename MeshType::GlobalIndexType
using | MeshPointer = Pointers::SharedPointer< MeshType >
using | MeshType = Mesh
using | RealType = Real
using | VectorType = Containers::VectorView< RealType, DeviceType, IndexType >
Public Types inherited from TNL::Functions::experimental::Domain< Mesh::getMeshDimension(), MeshDomain >
using | DeviceType

## Public Member Functions
| MeshFunctionView (const MeshFunctionView &meshFunction)
template<typename Vector>
| MeshFunctionView (const MeshPointer &meshPointer, Pointers::SharedPointer< Vector > &data, const IndexType &offset=0)
template<typename Vector>
| MeshFunctionView (const MeshPointer &meshPointer, Vector &data, const IndexType &offset=0)
template<typename Vector>
void | bind (const MeshPointer &meshPointer, Pointers::SharedPointer< Vector > &dataPtr, const IndexType &offset=0)
template<typename Vector>
void | bind (const MeshPointer &meshPointer, Vector &data, const IndexType &offset=0)
void | bind (MeshFunctionView &meshFunction)
template<typename Vector>
void | bind (Vector &data, const IndexType &offset=0)
bool | deepRefresh (const RealType &time=0.0) const
__cuda_callable__ VectorType & | getData ()
__cuda_callable__ const VectorType & | getData () const
RealType | getLpNorm (const RealType &p) const
RealType | getMaxNorm () const
template<typename Device = Devices::Host>
__cuda_callable__ const MeshType & | getMesh () const
MeshPointer & | getMeshPointer ()
const MeshPointer & | getMeshPointer () const
template<typename EntityType>
RealType | getValue (const EntityType &meshEntity) const
template<typename EntityType>
__cuda_callable__ RealType & | operator() (const EntityType &meshEntity, const RealType &time=0)
template<typename EntityType>
__cuda_callable__ const RealType & | operator() (const EntityType &meshEntity, const RealType &time=0) const
template<typename Function>
MeshFunctionView & | operator+= (const Function &f)
template<typename Function>
MeshFunctionView & | operator-= (const Function &f)
template<typename Function>
MeshFunctionView & | operator= (const Function &f)
MeshFunctionView & | operator= (const MeshFunctionView &f)
__cuda_callable__ RealType & | operator[] (const IndexType &meshEntityIndex)
__cuda_callable__ const RealType & | operator[] (const IndexType &meshEntityIndex) const
bool | refresh (const RealType &time=0.0) const
void | setMesh (const MeshPointer &meshPointer)
bool | setup (const MeshPointer &meshPointer, const Config::ParameterContainer &parameters, const String &prefix="")
template<typename EntityType>
void | setValue (const EntityType &meshEntity, const RealType &value)
void | write (const std::string &functionName, const std::string &fileName, const std::string &fileFormat="auto") const

## Static Public Member Functions
static void | configSetup (Config::ConfigDescription &config, const String &prefix="")
static IndexType | getDofs (const MeshPointer &meshPointer)
static constexpr int | getEntitiesDimension ()
static constexpr int | getMeshDimension ()
Static Public Member Functions inherited from TNL::Functions::experimental::Domain< Mesh::getMeshDimension(), MeshDomain >
static constexpr int | getDomainDimension ()
static constexpr DomainType | getDomainType ()

## Protected Attributes
VectorType | data
MeshPointer | meshPointer

The documentation for this class was generated from the following file:

- src/TNL/Functions/experimental/MeshFunctionView.h